GetRegistry - Amazon Bedrock AgentCore Control Plane

GetRegistry

Retrieves information about a specific registry.

Request Syntax

GET /registries/registryId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

registryId

The identifier of the registry to retrieve. You can specify either the Amazon Resource Name (ARN) or the ID of the registry.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: (arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "approvalConfiguration": { "autoApproval": boolean }, "authorizerConfiguration": { ... }, "authorizerType": "string", "createdAt": "string", "description": "string", "name": "string", "registryArn": "string", "registryId": "string", "status": "string", "statusReason": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

approvalConfiguration

The approval configuration for registry records. For details, see the ApprovalConfiguration data type.

Type: ApprovalConfiguration object

authorizerConfiguration

The authorizer configuration for the registry. For details, see the AuthorizerConfiguration data type.

Type: AuthorizerConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

authorizerType

The type of authorizer used by the registry. This controls the authorization method for the Search and Invoke APIs used by consumers.

  • CUSTOM_JWT - Authorize with a bearer token.

  • AWS_IAM - Authorize with your AWS IAM credentials.

Type: String

Valid Values: CUSTOM_JWT | AWS_IAM

createdAt

The timestamp when the registry was created.

Type: Timestamp

description

The description of the registry.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

name

The name of the registry.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9][a-zA-Z0-9_\-\.\/]*

registryArn

The Amazon Resource Name (ARN) of the registry.

Type: String

Pattern: arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}

registryId

The unique identifier of the registry.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 16.

Pattern: [a-zA-Z0-9]{12,16}

status

The current status of the registry. Possible values include CREATING, READY, UPDATING, CREATE_FAILED, UPDATE_FAILED, DELETING, and DELETE_FAILED.

Type: String

Valid Values: CREATING | READY | UPDATING | CREATE_FAILED | UPDATE_FAILED | DELETING | DELETE_FAILED

statusReason

The reason for the current status, typically set when the status is a failure state.

Type: String

updatedAt

The timestamp when the registry was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: